Subject: Re: bug#62483: echo a | grep -E -w '((()|a)|())*' # does not terminate

From: Jim Meyering <[email-masked]>
Date: Sun, 2 Apr 2023 14:30:37 -0700

On Sun, Apr 2, 2023 at 1:25 PM Carlo Arenas <[email-masked]> wrote:
> On Sun, Apr 2, 2023 at 11:30 AM Paul Eggert <[email-masked]> wrote:
> >
> > Also, GNU grep -w passes the following more-complicated regexp to dfaparse:
>
> but AFAIK `-w` is not necessary to trigger it, as the following also
> infloops in Fedora Rawhide
>
>   $ echo a | grep -E '((()|a)|())+'

FYI, this prints its input line (and no infloop) when grep is
configured --with-included-regex, so at least for that one, it may be
due to a recent change in upstream glibc.